-- DROP TABLE IF EXISTS Country;
-- DROP TABLE IF EXISTS UserAccount;
-- DROP TABLE IF EXISTS Customer;
-- DROP TABLE IF EXISTS Document;
-- DROP TABLE IF EXISTS Transactions;
-- DROP TABLE IF EXISTS User;
--DROP TABLE IF EXISTS Chat;

CREATE TABLE IF NOT EXISTS Chat(chatId INTEGER, userId INTEGER, msg TEXT,
isAdminMsg INTEGER, messageTime TEXT, synced	INTEGER, UNIQUE(chatId));

CREATE TABLE IF NOT EXISTS User(userId INTEGER,loginId TEXT,password TEXT,userGUID TEXT,firstName TEXT,lastName TEXT,
genderId INTEGER,emailId TEXT,phoneNumber TEXT,address1 TEXT,address2 TEXT,city TEXT,countryISDCode TEXT,
ipAddress TEXT,state TEXT,zipCode TEXT ,country TEXT,profilePic TEXT,fcmToken TEXT,lastLoginTime TEXT,
appPIN TEXT, appLanguage TEXT, appCurrency TEXT,
createdDate TEXT,updatedDate TEXT, 
imageSynced INTEGER, synced			INTEGER, UNIQUE(userId)
);

CREATE TABLE IF NOT EXISTS Country(
    name TEXT, 
    dial_code TEXT,
	country_code TEXT,
	UNIQUE(country_code)

);

CREATE TABLE IF NOT EXISTS UserAccount(
userId			INTEGER,	
accountId		INTEGER,
accountName	    TEXT,
accountTypeId   INTEGER,
updatedOn		TEXT,
selected		INTEGER,
isDeleted		INTEGER,
synced			INTEGER,
UNIQUE(userId,accountId)
);


CREATE TABLE IF NOT EXISTS Customer(
	userId			INTEGER,
	customerId		INTEGER ,
	accountId		INTEGER ,
	firstName		TEXT ,
	lastName		TEXT,
	gender			INTEGER ,
	address			TEXT,
	privateAccount	INTEGER ,
	balance			NUMERIC ,
	lastTransactionDate TEXT ,
	remindOn		TEXT ,
	remindedOn		TEXT ,
	countryISDCode	TEXT ,
	phoneNumber		TEXT ,
	updatedOn		TEXT ,
	isDeleted		INTEGER,
	synced			INTEGER,
	profilePic	TEXT,
	imageSynced	INTEGER,
	UNIQUE(userId,customerId,accountId)
);

CREATE TABLE IF NOT EXISTS Transactions
(
	userId			INTEGER,	
	transactionId 	INTEGER,
	customerId 		INTEGER ,
	isCredit 		INTEGER,
	amount 			NUMERIC ,
	balance 		NUMERIC	 ,
	transactionDate TEXT,
	notes 			TEXT,
	updatedOn 		TEXT,
	isDeleted		INTEGER,
	synced			INTEGER,
	smsSentStatus	INTEGER,
	smsSentTime 	TEXT,
	UNIQUE(userId,customerId,transactionId)
);

CREATE TABLE IF NOT EXISTS Document
(
	userId			INTEGER,	
	documentId 		INTEGER,
	transactionId 	INTEGER,
	documentPath 	TEXT,
	createdOn 		TEXT,
	isDeleted		INTEGER,
	synced			INTEGER,
	UNIQUE(userId,documentId,transactionId)

);

CREATE TABLE IF NOT EXISTS AppCurrency(
    currencyId INTEGER, 
    currencyCode TEXT,
	currencyName TEXT,
	currencySymbol TEXT,
	sortOrder INTEGER,
	UNIQUE(currencyId)
);



CREATE TABLE IF NOT EXISTS CashbookTransactions
(
	userId			INTEGER,	
	transactionId 	INTEGER,
	accountId 		INTEGER,
	cashIn 			INTEGER,
	amount 			NUMERIC ,
	balance 		NUMERIC	 ,
	transactionDate TEXT,
	notes 			TEXT,
	updatedOn 		TEXT,
	isDeleted		INTEGER,
	synced			INTEGER,
	UNIQUE(userId,transactionId,accountId)
);

CREATE TABLE IF NOT EXISTS CashBookDocument
(
	userId			INTEGER,	
	documentId 		INTEGER,
	transactionId 	INTEGER,
	documentPath 	TEXT,
	createdOn 		TEXT,
	isDeleted		INTEGER,
	synced			INTEGER,
	UNIQUE(userId,documentId,transactionId)

);

CREATE TABLE IF NOT EXISTS TimeTable
(
	tranDate		TEXT,
	UNIQUE(tranDate)
);


CREATE TABLE IF NOT EXISTS UserDeviceDetail(
    userId	INTEGER,
	deviceSerial TEXT, 
    deviceModel TEXT,
	deviceUUID TEXT,
	fcmToken	TEXT,
	appVersion	TEXT,
	synced		INTEGER
);

CREATE TABLE IF NOT EXISTS PhoneContact(
    phoneNumber	TEXT,
	countryCode TEXT, 
    firstName 	TEXT,
	img 		TEXT,
	added		INTEGER,
	UNIQUE(phoneNumber,countryCode)
);


INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('India','91','IN');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('Bangladesh','880','BD');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('Pakistan','92','PK');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('Nepal','977','NP');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('United States','1','US');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('Afghanistan','93','AF');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('Australia','61','AU');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('Austria','43','AT');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('Belgium','32','BE');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('Bhutan','975','BT');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('Brazil','55','BR');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('Canada','1','CA');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('China','86','CN');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('Denmark','45','DK');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('Egypt','20','EG');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('Finland','358','FI');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('France','33','FR');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('Germany','49','DE');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('Greece','30','GR');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('Hong Kong','852','HK');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('Indonesia','62','ID');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('Iran, Islamic Republic of Persian Gulf','98','IR');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('Iraq','964','IQ');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('Ireland','353','IE');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('Israel','972','IL');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('Italy','39','IT');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('Japan','81','JP');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('Jordan','962','JO');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('Kuwait','965','KW');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('Malaysia','60','MY');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('Maldives','960','MV');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('Mauritius','230','MU');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('Myanmar','95','MM');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('New Zealand','64','NZ');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('Norway','47','NO');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('Oman','968','OM');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('Palestinian Territory, Occupied','970','PS');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('Philippines','63','PH');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('Poland','48','PL');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('Qatar','974','QA');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('Russia','7','RU');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('Saudi Arabia','966','SA');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('Singapore','65','SG');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('South Africa','27','ZA');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('Spain','34','ES');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('Sri Lanka','94','LK');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('Swaziland','268','SZ');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('Sweden','46','SE');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('Switzerland','41','CH');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('Syrian Arab Republic','963','SY');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('Thailand','66','TH');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('Turkey','90','TR');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('Ukraine','380','UA');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('United Arab Emirates','971','AE');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('United Kingdom','44','GB');
INSERT or IGNORE INTO Country(name, dial_code,country_code) VALUES ('Yemen','967','YE');
INSERT or IGNORE  INTO AppCurrency(currencyId ,currencyCode,currencyName,currencySymbol,sortOrder) VALUES('1','INR','Indian Rupee','₹','1');
INSERT or IGNORE  INTO AppCurrency(currencyId ,currencyCode,currencyName,currencySymbol,sortOrder) VALUES('2','PKR','Pakistani Rupee','₨','2');
INSERT or IGNORE  INTO AppCurrency(currencyId ,currencyCode,currencyName,currencySymbol,sortOrder) VALUES('3','BDT','Bangladeshi Taka','৳','3');
INSERT or IGNORE  INTO AppCurrency(currencyId ,currencyCode,currencyName,currencySymbol,sortOrder) VALUES('4','NPR','Nepalese Rupee','नेरू','4');
INSERT or IGNORE  INTO AppCurrency(currencyId ,currencyCode,currencyName,currencySymbol,sortOrder) VALUES('5','USD','US Dollar','$','5');
INSERT or IGNORE  INTO AppCurrency(currencyId ,currencyCode,currencyName,currencySymbol,sortOrder) VALUES('6','CAD','Canadian Dollar','$','6');
INSERT or IGNORE  INTO AppCurrency(currencyId ,currencyCode,currencyName,currencySymbol,sortOrder) VALUES('7','EUR','Euro','€','7');